MyGUI::UString::invalid_data Class Reference

This exception is used when invalid data streams are encountered. More...

`#include <MyGUI_UString.h>`

Inheritance diagram for MyGUI::UString::invalid_data:
[legend]

## Public Member Functions

| invalid_data (const std::string &_message)
| constructor takes a string message that can be later retrieved by the what() function

## Detailed Description

This exception is used when invalid data streams are encountered.

Definition at line 180 of file MyGUI_UString.h.

## Constructor & Destructor Documentation

## invalid_data()

MyGUI::UString::invalid_data::invalid_data | ( | const std::string & | _message | ) |

inline explicit

constructor takes a string message that can be later retrieved by the what() function

Definition at line 184 of file MyGUI_UString.h.

The documentation for this class was generated from the following file:

- MyGUI_UString.h